package com.red.circle.other.infra.database.cache.service.user;

import java.util.Set;

/**
 * 请求黑名单
 *
 * @author pengliang on 2022/3/22
 */
public interface RequestBlacklistService {

  /**
   * 黑名单ip.
   */
  void addIp(String ip);

  /**
   * 屏蔽手机型号.
   */
  void addPhoneModel(String phoneModel);

  /**
   * 删除黑名单.
   */
  void delKey(String key);

  /**
   * 匹配ip或手机型号.
   */
  boolean matchIpOrPhoneModel(String ip, String phoneModel);

  /**
   * 获取keys.
   */
  Set<String> getKeys();
}
